رفع خطای نمایش صفحه سفید در WHMCS

شروع موضوع توسط farid ‏May 31, 2015 در انجمن WHMCS

  1. farid

    farid مدیر کل انجمن عضو کادر مدیریت مدیر کل انجمن

    سلام
    حتما بار ها براتون پیش اومده که در whmcs با صفحه سفید و خالی مواجه شدید و این صفحه ادامه کار را متوقف کرده است
    اینکه دلیل نمایش این صفحه چیست علل مختلفی می تواند داشته باشد لذا امروز نحوه فعال سازی خطا های whmcs را
    آموزش می دهیم تا بتوانید لاگ خطا صفحه را مشاهده و نسبت به برطرف کردن آن اقدام کنید.

    به طور کلی هر گاه صفحه ای سفید در whmcs مشاهده کردید و علت آن را ندانستید بصورت یکی از دو روش زیر ابتدا
    خطا whmcs را فعال کنید:
    1) از ادمین و از مسیر منوی
    کد:
    برای مشاهده محتوا شما بایستی ثبت نام کنید.
    گزینه
    کد:
    برای مشاهده محتوا شما بایستی ثبت نام کنید.
    را فعال کنید.
    2) اگر به دلیل خطا صفحه سفید حتی امکان دسترسی به ادمین را نداشتید روش یک ناکارآمد خواهد بود لذا بصورت زیر عمل کنید:
    از ftp یا filemanager هاست خود وارد مسیر نصب whmcs شوید و فایل configuration.php را با یک ویرایشگر باز کنید سپس مقدار
    کد:
    برای مشاهده محتوا شما بایستی ثبت نام کنید.
    را در انتهای این فایل و قبل از تگ بستن php یعنی
    کد:
    برای مشاهده محتوا شما بایستی ثبت نام کنید.
    قرار دهید و فایل مورد نظر را ذخیره کنید

    پس از انجام یکی از روش های فوق صفحه مورد نظر را مجددا بارگذاری کنید و خطای نمایش داده شده بر روی صفحه را ارزیابی کنید تا بتوانید مشکل را برطرف کنید.

    هشدار: پس از برطرف کردن مشکل حتما نمایش خطا را مجددا غیر فعال کنید همانطور که می دانید نمایش عمومی خطا های پرتال بر روی صفحه می تواند یکی از عواملی باشد که هکر ها نسبت به کسب اطلاعات برای هک کردن سایت یا پرتال شما استفاده کنند لذا نیاز است تا این مورد فقط در زمان ارزیابی خطا فعال باشد.
     
  2. hesamk71

    hesamk71 عضو تایید شده کاربر انجمن

    من از whmcs استفاده میکنم
    امروز خواستم وارد ادمین بشم که دیدم نوشته دسترسی غیر مجاز و منو به صفحه banned.php منتقل میکنه.چه در بخش ادمین و چه کاربری
    با جستجو در گوگل متوجه شدم فایلی با نام tblbannedips در phpmyadmin وجود داره که با حذف اپی در لیست مشکل حل میشه
    اینکارو انجام دادم مشکل حل شد
    مجدد درخواست رمز دادم اما با رمز مجددم نشد
    خیلی اینکارو کردم حتی در phpmyadmin فایل tbladmins هم اطلاعات ادمین رو عوض کردم
    فضای هاستمو افزایش دادم مشکل ورود به پنل کاربری حل شد اما من نمیتونم به ادمین وارد بشم با زدن نام کاربری و رمز صفحه به آدرس /admin/dologin.php که سفید هستش و هیچ چیز توش نوشته نیست هدایت میشم و با رفرش صفحه ازش خارج و دوباره صفحه ورود
    مشکل کجاست!؟
     
  3. farid

    farid مدیر کل انجمن عضو کادر مدیریت مدیر کل انجمن

    سلام
    از phpmyadmin در جدول tbladmins وارد شوید مقادیر
    $2y$10$mrv0QMco1x/Yh.OstRszJeRmMkCbuEYk/drf3jFVmNZlCcfp2P/zS
    و
    $2y$10$isFn2wvy/PBImVOIqzm0N.ELW9mDUdA6/zNGRi2JpzkbnS1ZslxRO
    را به ترتیب برای ستون های
    password
    و
    passwordhash
    تنظیم کنید
    این مقادیر معادل مقدار admin برای پسورد می باشد
    یعنی بعد از آن با پسورد admin در یوزری که مقادیر را تنظیم کردید باید بتوانید وارد سیستم شوید
     
  4. hesamk71

    hesamk71 عضو تایید شده کاربر انجمن

    حل نشد...بازم همون مشکل،همون خطا
    Login Failed.Please Try Again.
     
  5. farid

    farid مدیر کل انجمن عضو کادر مدیریت مدیر کل انجمن

    از قسمت forgot password ادمین سعی کردید استفاده کنید؟
     
  6. hesamk71

    hesamk71 عضو تایید شده کاربر انجمن

    اشتباه نکنم بالای 40 بار
    اما نشد
     
  7. farid

    farid مدیر کل انجمن عضو کادر مدیریت مدیر کل انجمن

    یک یوزر دیگر از tbladmins با نام دیگری ایجاد و تست کنید باید درست بشه مگر آسیبی به فایل یا دیتابیس whmcs شما خورده باشد
     
  8. pandsoft

    pandsoft عضو تایید شده کاربر انجمن

    درود بر شما
    از فراسو نسخه 7 رو دانلود و در هاست آپلود کردم وقتی آدرس نصب رو وارد می کنم صفحه سفید نمایش میده نمایش ارور را هم روشن کردم ولی فرقی نکرد
    لطفا راهنمایی نمایید
     
  9. pandsoft

    pandsoft عضو تایید شده کاربر انجمن

    در ادامه پست قبلی
    در ارور لاگ ارور زیر رو میده:
    PHP Fatal error: The file ----------------------------install/install.php cannot be decoded
    in Unknown on line
    then please install the latest version of the ionCube Loader.
    If you are the administrator of this site
    by this version of the ionCube Loader.
    لطفا راهنمایی نمایید
     
  10. farid

    farid مدیر کل انجمن عضو کادر مدیریت مدیر کل انجمن

    سلام
    ظاهرا نسخه لودر ioncube شما مشکلی دارد ioncube سرور را آپدیت و مجددا چک کنید
     
  11. pandsoft

    pandsoft عضو تایید شده کاربر انجمن

    با تشکر
    نسخه 6 رو نصب کردم ولی در مرحله 4 که اطلاعات مدیر را وارد و ادامه را می زنم بعد از چند دقیقه ارور زیر را میده
    لطفا راهنمایی نمایید
    Internal Server Error
    The server encountered an internal error or misconfiguration and was unable to complete your request.
     
  12. farid

    farid مدیر کل انجمن عضو کادر مدیریت مدیر کل انجمن

    خطای internal server error مرتبط با وب سرور شما است لاگ های وب سرور را بررسی کنید در اون علت خطا باید مشخص باشد
     
  13. pandsoft

    pandsoft عضو تایید شده کاربر انجمن

    در نصب ماژول ریز نمایندگی irnic و فارسی ساز فراسو مشکل latest version of the ionCube Loader دارم
    هاست من اشتراکی هستش و ورژن ionCube PHP Loade در هاست v4.4.3

    چکار باید کرد سرویس دهنده هم آپدیت نمی کنه

    راه حلی نداره ؟
     
  14. farid

    farid مدیر کل انجمن عضو کادر مدیریت مدیر کل انجمن

    سلام
    خود whmcs 7 هم نیاز به Ioncube 5 به بعد دارد اگر چنین سرویس دهند ه ای دارید که لزوم آپدیت بودن انکودر برای اجرای نرم افزار های جدید را درک نمی کند
    بهتر است اقدام به تغییر آن کنید!
     
  15. pandsoft

    pandsoft عضو تایید شده کاربر انجمن

    بالاخره ورژن رو آپدیت کردن دستشون درد نکنه ولی حالا از ورژن PHP ارور گرفته
    ورژن هاست من PHP Version 5.3.29
    باید حتما آپدیت بشه راه حلی دیگه ای نداره ؟

    Fatal error:
    The file /------/persian_pack/clientlang.php was encoded with the PHP 5.6 ionCube Encoder and requires PHP 5.6 to be installed. in Unknown on line 0
     
  16. farid

    farid مدیر کل انجمن عضو کادر مدیریت مدیر کل انجمن

    سلام
    فایل های جدید فقط با php 5.6 به بعد کد می شود دلیلش هم این است که اگر بخواید php 7 پشتیبانی بشه باید حتما با php 5.6 به بعد کد بشه
    اغلب هاست های Mutilpe ورژن php ارائه می کنند که امکان تغییر ورژن دلخواه را به شما میده
    توجه کنید php 5.6 به قبل discontinue شده است و روی سیستم های جدید فقط 5.6 به بعد پشتیبانی خواهد شد
     

به اشتراک بگذارید

س